org.apache.solr.client.solrj.response

## Class CollectionAdminResponse

- java.lang.Object
- - org.apache.solr.client.solrj.SolrResponse
  - - org.apache.solr.client.solrj.response.SolrResponseBase
    - - org.apache.solr.client.solrj.response.CollectionAdminResponse

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    CollectionAdminRequest.RequestStatusResponse

      public class CollectionAdminResponse
      extends SolrResponseBase

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectionAdminResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,NamedList<Integer>>` | `getCollectionCoresStatus()`
    `Map<String,NamedList<Integer>>` | `getCollectionNodesStatus()`
    `NamedList<NamedList<Object>>` | `getCollectionStatus()`
    `NamedList<String>` | `getErrorMessages()`
    `boolean` | `isSuccess()`

    - ### Methods inherited from class org.apache.solr.client.solrj.response.SolrResponseBase

      `getElapsedTime, getQTime, getRequestUrl, getResponse, getResponseHeader, getStatus, setElapsedTime, setRequestUrl, setResponse, toString`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrResponse

      `deserialize, serializable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CollectionAdminResponse

          public CollectionAdminResponse()

  - ### Method Detail

    - #### getCollectionStatus

          public NamedList<NamedList<Object>> getCollectionStatus()

    - #### isSuccess

          public boolean isSuccess()

    - #### getErrorMessages

          public NamedList<String> getErrorMessages()

    - #### getCollectionCoresStatus

          public Map<String,NamedList<Integer>> getCollectionCoresStatus()

    - #### getCollectionNodesStatus

          public Map<String,NamedList<Integer>> getCollectionNodesStatus()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.